
const listarPersonal = (selectorName) => {
	initSelect2(selectorName, baseURLRest + URI_TRABAJADORES, {title: "nombresapellidos", subtitle: "documentoidentidad"});
};


const listarSedes = (selectorName) => {
	ajaxWebService.get(URI_SEDES).then((result) => {
		let sedes = result.data;
		sedes = _.orderBy(sedes, s => s.descripcion);
		let html = `<option value="">[TODOS]</option>`;
		sedes.forEach(sede => html += `<option value="${sede.codigo}">${sede.descripcion}</option>`);
		$(`${selectorName}`).html(html);
		$(selectorName).select2();
	});
};


const inicializarInputsModalNuevaTolerancia = () => {
	listarPersonal("#cboPersonal");
	initDatePicker("#dpFechaInicio", "#dpFechaFin");
};

const mostrarModalNuevaTolerancia = () => {
	ajaxModal.get("administrativos/tolerancia/individual/registroTolerancia.jsp").then((response) => {
		swal({
			title: '<strong>Nueva Tolerancia</strong>',
//            type: 'info',
			html: response.data,
			showCloseButton: true,
			showCancelButton: true,
			focusConfirm: false,
			confirmButtonText: '<i class="icon-checkmark2"></i> Registrar tolerancia',
			confirmButtonAriaLabel: 'Registrar tolerancia',
			cancelButtonText: '<i class="icon-cross3"></i>Cancelar',
			cancelButtonAriaLabel: 'Thumbs down',
			width: '30%',
			customClass: 'swal2-overflow',
			onOpen: () => {
				inicializarInputsModalNuevaTolerancia();
			}
		}).then((result) => {
			if (result.value) {

			}
		});
	});
};


$(() => {
	initDatePicker("#dpFechaInicioFiltro", "#dpFechaFinFiltro");
	listarPersonal("#cboPersonalFiltro");
	listarSedes("#cboSedesFiltro");
//	$("#btnMostrarTodo").click(listarAsistencia);
//	$("#btnAplicarFiltro").click(aplicarFiltro);
	$("#btnNuevaTolerancia").click(mostrarModalNuevaTolerancia);
});